Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_uri_as_counted_string

## Name

librdf_uri_as_counted_string -- Get a pointer to the string representation of the URI with length

## Synopsis

``char* `librdf_uri_as_counted_string`` (librdf_uri * `uri`, size_t* `len_p`);`

## Arguments

`uri`

  librdf_uri object

`len_p`

  pointer to location to store length

## Description

Returns a shared pointer to the URI string representation.

## Note

does not allocate a new string so the caller must not free it.

## Return value

string representation of URI

<<< Previous | Home | Next >>>
librdf_uri_as_string | Up | librdf_uri_get_digest